Class Fox::FXIconItem

In: | FXIconList.rb ../lib/fox/core.rb
Parent: | FXObject

Icon list item

Methods

<=> create destroy detach draggable? enabled? getHeight getWidth hasFocus? iconOwned? new selected? setFocus

Attributes

bigIcon | [RW] | Big icon [FXIcon]
data | [RW] | Item user data [Object]
draggable | [W] | Indicates whether this item is draggable or not [Boolean]
enabled | [W] | Indicates whether this item is enabled or not [Boolean]
iconOwned | [W] |
miniIcon | [RW] | Mini icon [FXIcon]
selected | [W] | Indicates whether this item is selected or not [Boolean]
text | [RW] | Item text [String]

Public Class methods

new(text, bigIcon=nil, miniIcon=nil, data=nil) {|theIconItem| ...}

Constructor

Public Instance methods

setFocus(focus)

Set the focused state for this item (where focus is either `true` or `false`)

hasFocus?()

Returns `true` if this item has the focus

selected?()

Return `true` if this item is selected

enabled?()

Return `true` if this item is enabled

draggable?()

Return `true` if this item is draggable

iconOwned?()

Return `true` if this item owns its icons

getWidth(iconList)

Return the width of this item

getHeight(iconList)

Return the height of this item

create()

Create this item

detach()

Detach this item

destroy()

Destroy this item

<=>(otherItem)